dir: '{{.InterfaceDir}}/mocks'
filename: '{{.InterfaceName}}.go'
packages:
  github.com/argoproj/argo-cd/v3/applicationset/generators:
    interfaces:
      Generator: {}
  github.com/argoproj/argo-cd/v3/applicationset/services:
    interfaces:
      Repos: {}
  github.com/argoproj/argo-cd/v3/applicationset/services/scm_provider:
    interfaces:
      AWSCodeCommitClient: {}
      AWSTaggingClient: {}
      AzureDevOpsClientFactory: {}
  github.com/argoproj/argo-cd/v3/applicationset/utils:
    interfaces:
      Renderer: {}
  github.com/argoproj/argo-cd/v3/commitserver/apiclient:
    interfaces:
      CommitServiceClient: {}
  github.com/argoproj/argo-cd/v3/commitserver/commit:
    interfaces:
      RepoClientFactory: {}
  github.com/argoproj/argo-cd/v3/controller/cache:
    interfaces:
      LiveStateCache: {}
  github.com/argoproj/argo-cd/v3/controller/hydrator:
    interfaces:
      Dependencies: {}
      RepoGetter: {}
  github.com/argoproj/argo-cd/v3/pkg/apiclient/cluster:
    interfaces:
      ClusterServiceServer: {}
  github.com/argoproj/argo-cd/v3/pkg/apiclient/session:
    interfaces:
      SessionServiceClient: {}
      SessionServiceServer: {}
  github.com/argoproj/argo-cd/v3/pkg/client/clientset/versioned/typed/application/v1alpha1:
    interfaces:
      AppProjectInterface: {}
  github.com/argoproj/argo-cd/v3/reposerver/apiclient:
    interfaces:
      RepoServerServiceClient: {}
      RepoServerService_GenerateManifestWithFilesClient: {}
  github.com/argoproj/argo-cd/v3/server/application:
    interfaces:
      Broadcaster: {}
  github.com/argoproj/argo-cd/v3/server/extension:
    interfaces:
      ApplicationGetter: {}
      ExtensionMetricsRegistry: {}
      ProjectGetter: {}
      RbacEnforcer: {}
      SettingsGetter: {}
      UserGetter: {}
  github.com/argoproj/argo-cd/v3/util/db:
    interfaces:
      ArgoDB: {}
      RepoCredsDB: {}
  github.com/argoproj/argo-cd/v3/util/git:
    interfaces:
      Client: {}
  github.com/argoproj/argo-cd/v3/util/helm:
    interfaces:
      Client: {}
  github.com/argoproj/argo-cd/v3/util/io:
    interfaces:
      TempPaths: {}
  github.com/argoproj/argo-cd/v3/util/notification/argocd:
    interfaces:
      Service: {}
  github.com/argoproj/argo-cd/v3/util/oci:
    interfaces:
      Client: {}
  github.com/argoproj/argo-cd/v3/util/workloadidentity:
    interfaces:
      TokenProvider: {}
  github.com/argoproj/gitops-engine/pkg/cache:
    interfaces:
      ClusterCache: {}
  github.com/argoproj/gitops-engine/pkg/diff:
    interfaces:
      ServerSideDryRunner: {}
  github.com/microsoft/azure-devops-go-api/azuredevops/v7/git:
    config:
      dir: applicationset/services/scm_provider/azure_devops/git/mocks
    interfaces:
      Client: {}
pkgname: mocks
structname: '{{.InterfaceName}}'
template-data:
  unroll-variadic: true
